//NONAME  JOB (ACCOUNT),'INSTALL RMU 1.1.0',
//            CLASS=A,MSGCLASS=H,NOTIFY=&SYSUID,REGION=0M
//**
//   SET CEERUN=CEE.SCEERUN       
//   SET COBVER=COBOL.V4R2M0    
//** SET COBVER=COBOL.V5R1M0    
//   SET IMUVER=SYS1.V510
//   SET EZTPROC=#EZTPROC
//   SET FILEIN=&SYSUID..TEMP.XML.DETAIL
//** SET FILEIN=&SYSUID..TEMP.XML.SUMMARY
//*
//JOBLIB   DD  DSN=&IMUVER..SFSYLOAD,DISP=SHR
//         DD DSN=&CEERUN,DISP=SHR
//         DD DSN=&COBVER..SIGYCOMP,DISP=SHR
//*
//*********************************************************************
//* COPYRIGHT 2020, TRANSIOM SOFTWARE, INC.                           *
//* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.         *
//*                                                                   *
//* 5655-MGU COPYRIGHT IBM CORP 2015.                                 *
//* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.         *
//* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.             *
//*                                                                   *
//* REV. 10/20/2015               WRITTEN BY: SRECKO LAZANJA          *
//*------------------------------------------------------------------ *
//* JCMUXML2 - Compile, link and run PEngiEZT/IMU program             *
//*            (LINK AND GO with instream source)                     *
//*------------------------------------------------------------------ *
//* Note: Run JCMUXML0 or JCMUXML1 JOB to create FILEIN file.         *
//*********************************************************************
//*
//FSYTPA00 EXEC PGM=FSYTPA00,PARM=
//FJPROC0  DD DSN=&SYSUID..DEMO.JCL(&EZTPROC),DISP=SHR
//FILEIN   DD DSN=&FILEIN,DISP=SHR
//FILEOUT  DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//*
//SYSLIST  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSIN    DD *
******* *************************************************************
* EASYTRAN: PROCESS LIST,NUMPROC(NOPFD),NOSSRANGE
* EASYTRAN: PROCESS OFFSET
* EASYTRAN: DEBUG (COBOL BLIST ESPI-FULL)
* EASYTRAN: NUMLIMIT=EXTEND
* END-EASYTRAN
*********************************************************************
*                          YYMMDD
DEFINE DATEIN W 6 N VALUE  001231 MASK ('99/99/99')
*
*                          CCYYMMDD
DEFINE DATEOUT W 8 N VALUE  00000000 MASK ('9999/99/99')

FILE FILEIN F (80)
DEFINE XEST1 * 31 N
DEFINE XEST2 XEST1  +00 2 A
DEFINE XEST3 XEST2  +00 2 A
DEFINE XEST4 XEST3  +00 2 A

DEFINE XEST1 W 31 N
DEFINE XEST2 XEST1  +00 2 A
DEFINE XEST3 XEST2  +00 2 A
DEFINE XEST4 XEST3  +00 2 A
DEFINE COUNT W  2 N VALUE ZERO

A1   W   82 A
A2  A1  +01 79 A

SORT FILEIN TO FILEIN USING (FILEIN:XEST4)
JOB INPUT FILEIN
DISPLAY 'TEST1=' XEST1

DEFINE TEST2 W 10 A OCCURS 5 VALUE '5EST1'
FILEIN:XEST2:XEST3 = 'CC'

COUNT = 0
*MOVE X'FFFF' TO COUNT
DO WHILE COUNT LT 1
   DISPLAY TEST2 (COUNT)  ' ' COUNT
   COUNT = COUNT + 1
END-DO

DO WHILE COUNT < 10
   DISPLAY '---- '
   COUNT = COUNT + 1
   DATEIN = DATEIN + 10000
   %DATECONV DATEIN YYMMDD DATEOUT CCYYMMD
   DISPLAY '>>>>> CONVERTED DATE IS DATEIN=' DATEIN ' DATEOUT=' DATEOUT
END-DO
*PRINT REPORT1
STOP EXECUTE

REPORT REPORT1 LINESIZE 80
TITLE 'TEST REPORT' +17
LINE 1 XEST1  +18.
/*
//
