//NONAME JOB (ACCOUNT),'INSTALL RMU 1.1.0',
//           CLASS=A,MSGCLASS=H,NOTIFY=&SYSUID,REGION=0M
//*
//   SET MEMBER=TESTCOL0       
//   SET CEERUN=CEE.SCEERUN       
//   SET COBVER=COBOL.V4R2M0    
//** SET COBVER=COBOL.V5R1M0    
//   SET IMUVER=SYS1.V510
//   SET DB2VER=DB2.V10R1M0
//   SET EZTPROC=#EZTPROC
//*
//JOBLIB   DD DSN=&IMUVER..SFSYLOAD,DISP=SHR
//         DD DSN=&CEERUN,DISP=SHR
//         DD DSN=&DB2VER..SDSNLOAD,DISP=SHR
//         DD DSN=&COBVER..SIGYCOMP,DISP=SHR
//*********************************************************************
//* COPYRIGHT 2015,  TRANSIOM SOFTWARE, INC.  REV. 10/26/2015         *
//*                               WRITTEN BY: SRECKO LAZANJA          *
//* JCMUCLGQ - COMPILE, LINK  AND EXECUTE IN ONE STEP - INSTREAM PROC *
//*            (INSTREAM IS AN SQL/DB2 PROGRAM)                       *
//*********************************************************************
//FSPENGI  PROC  SYSOUT='*',
//**       FJSYSPH=&SYSUID..CONV.COBSRC,          OPTIONAL GENED COBOL
//         FJPROC0=&SYSUID..DEMO.JCL(&EZTPROC),   OPTIONAL PROC
//         PANDD=&SYSUID..DEMO.MACROS,            YOUR EZT MACROS
//         SYSIN=&SYSUID..DEMO.JCL,               INPUT EZT PROGRAM
//* INPUT FILE FOR THE TEST PROGRAMS. CONSRUCT YOUR OWN FILES AS NEEDED
//         SQLDD=&SYSUID..DEMO.JCL(#SQLDD),
//         MEMBER=GO,                              PROGRAM NAME
//         PARAM=                                  POSSIBLE USER PARMS
//*-------------------------------------------------------------------*
//FSYTPA00 EXEC PGM=FSYTPA00,PARM=&PARAM
//FJSVC99  DD DSN=&&FJSVC99(MSGOFF),SPACE=(TRK,1),DISP=NEW
//FJPROC0  DD DSN=&FJPROC0,
//         DISP=SHR
//*FJSYSPH  DD DSN=&FJSYSPH(&MEMBER),
//*         DISP=SHR
//* ADDITIONAL SYSLIB DSNS CAN BE CODED FOR YOUR OWN INCLUDES.
//*SYSLIB   DD DSN=&SYSLIB1,
//*         DISP=SHR
//* PANDD MUST POINT TO YOUR OWN EASYTRIEVE PLUS MACROS.
//* CONSULT WITH SYSTEM PROGRAMMER FOR THE CORRECT DDNAME AS
//* IT CAN BE CHANGED AT INSTALLATION TIME. (SEE #EZTPROC).
//* (THIS IS AN OPTIONAL STATEMENT. COMMENT OUT IF NOT NEEDED)
//PANDD    DD DSN=&PANDD,
//         DISP=SHR
//SYSOUT   DD SYSOUT=&SYSOUT
//SYSLIST  DD SYSOUT=&SYSOUT
//SYSPRINT DD SYSOUT=&SYSOUT
//REPORT1  DD SYSOUT=&SYSOUT
//REPORT2  DD SYSOUT=&SYSOUT
//FILEOUT  DD SYSOUT=&SYSOUT
//SYSIN    DD DSN=&SYSIN(&MEMBER),
//         DISP=SHR
//SQLDD    DD DSN=&SQLDD,
//         DISP=SHR
// PEND
//TESTCOL0  EXEC PROC=FSPENGI,MEMBER=&MEMBER
//SYSIN DD *
***********************************************************************
* THIS PROGRAM IS SET TO RUN IN DYNAMIC SQL MODE.                     *
* CHANGE PLAN AND SSID ON THE PARM STATEMENT TO YOUR OWN VALUES.      *
*                                                                     *
* THIS IS A DB2 INSTALATION VERIFICATION PROGRAM.                     *
*                                                                     *
* BEFORE USING THIS PROGRAM, MAKE SURE THAT YOU ESTABLISH THE         *
* CALL ATTACHMENT FACILITY FOR RETRIEVING SQL COLUMN DEFINITIONS AS   *
* PER INSTALLATION CHAPTER.                                           *
*                                                                     *
* SQLBIND=(ANY) IS REQUIRED IN THE EZPARAMS DEFAULT TABLE.            *
***********************************************************************
PARM  BIND(DYNAMIC) PLAN(IBMMIGUT) SSID(DL11)
*PARM  LINK(TESTCOL0) BIND(STATIC) PLAN(IBMMIGUT) SSID(DL11)
* EASYTRAN: DEBUG (ESPI-FULL SQLTRAN BIND LKED)
* END-EASYTRAN

SQL INCLUDE FROM SYSIBM.SYSCOLUMNS

OREC     W   80 A
ORCODE     OREC      4 A
ONAME      OREC +05 18 A
OCOLNO     OREC +24  4 N
OCOLTYPE   OREC +29  8 A
OLENGTH    OREC +38  5 N
OSCALE     OREC +44  2 N
ONULLS     OREC +47  1 A
ODEFAULT   OREC +49  1 A
OTBCREATOR OREC +51  8 A

FILE FILEOUT   F (150).
WNAME      1    18 A
WTBNAME    19   18 A
WTBCREATOR 37   8  A
WCOLNO     45   2  B
WCOLTYPE   47  15 A
WLENGTH    63   2  B
WSCALE     65   2  B
WNULLS     67   10 A
WDEFAULT   77   10 A
WCOLCARDF  87   10 P 3
WTESTF     97   18 N

ZNAME      W    18 A
ZTBNAME    W    18 A
ZTBCREATOR W    8  A
ZCOLNO     W    2  B 0
ZCOLTYPE   W   15  A
ZLENGTH    W    2  B 0
ZSCALE     W    2  B 0
ZNULLS     W    10 A
ZDEFAULT   W    10 A
ZCOLCARDF  W    10 P 3
ZTESTF     W    18 N
WS-SQLID   W    8 A  VALUE 'SYSIBM'.

*SELECT-TBNAME  W 18 A VALUE 'SYSCOLUMNS'
SELECT-TBNAME  W 18 A VALUE 'SYSDBRM'
SELECT-CREATOR W  8 A VALUE 'SYSIBM'

SQL DECLARE JOB_CURS1 CURSOR FOR                            +
    SELECT NAME, TBCREATOR, TBNAME, COLNO,                  +
           COLTYPE, LENGTH, SCALE, NULLS                    +
      FROM SYSCOLUMNS                                +
    WHERE TBNAME = :SELECT-TBNAME AND TBCREATOR =           +
    :SELECT-CREATOR

JOB INPUT NULL
%COBOL
       DISPLAY 'SQLDD PARMS: ' WS-PENGI-SQL-PARMS.
%END
SQL SET CURRENT SQLID = :WS-SQLID

DISPLAY ZCOLCARDF.
WSCALE = 0
WLENGTH = 0
SQL OPEN JOB_CURS1
IF SQLCODE NE 0
   DISPLAY 'OPEN ERRORA: ' SQLCODE
   STOP
END-IF

DO WHILE SQLCODE EQ 0
   SQL FETCH JOB_CURS1                                         +
       INTO :WNAME, :WTBCREATOR, :WTBNAME, :WCOLNO,            +
            :WCOLTYPE,                                         +
            :WLENGTH, :WSCALE, :WNULLS

  IF SQLCODE EQ 0
     MOVE ' ' TO OREC
     ONAME      = WNAME
     OCOLNO     = WCOLNO
     OCOLTYPE   = WCOLTYPE
     OLENGTH    = WLENGTH
     OSCALE     = WSCALE
     ONULLS     = WNULLS
     ODEFAULT   = WDEFAULT
     OTBCREATOR = WTBCREATOR
     DISPLAY OREC
     PUT FILEOUT
     PRINT RPT1
     PRINT RPT2
  END-IF
END-DO

SQL CLOSE JOB_CURS1

IF SQLCODE NE 0
   DISPLAY 'CLOSE ERRORA: ' SQLCODE
   STOP
END-IF
STOP
REPORT RPT1 LINESIZE 132
TITLE 1 'REPORT1 - THIS IS A TEST'
LINE  1  +
     ONAME  OCOLNO OCOLTYPE OLENGTH OSCALE ONULLS ODEFAULT OTBCREATOR

REPORT RPT2 LINESIZE 132
TITLE 1 'REPORT2 - THIS IS A TEST'
LINE  1  +
     ONAME  OCOLNO OCOLTYPE OLENGTH OSCALE ONULLS ODEFAULT OTBCREATOR

JOB INPUT NULL
WSCALE = 0
WLENGTH = 0
SQL OPEN JOB_CURS1
IF SQLCODE NE 0
   DISPLAY 'OPEN ERRORA: ' SQLCODE
END-IF

DO WHILE SQLCODE EQ 0
   SQL FETCH JOB_CURS1                                         +
       INTO :WNAME, :WTBCREATOR, :WTBNAME, :WCOLNO,            +
            :WCOLTYPE,                                         +
            :WLENGTH, :WSCALE, :WNULLS

  IF SQLCODE EQ 0
     MOVE ' ' TO OREC
     ONAME      = WNAME
     OCOLNO     = WCOLNO
     OCOLTYPE   = WCOLTYPE
     OLENGTH    = WLENGTH
     OSCALE     = WSCALE
     ONULLS     = WNULLS
     ODEFAULT   = WDEFAULT
     OTBCREATOR = WTBCREATOR
     DISPLAY OREC
     PUT FILEOUT
     PRINT RPT3
  END-IF
END-DO

SQL CLOSE JOB_CURS1

IF SQLCODE NE 0
   DISPLAY 'CLOSE ERRORA: ' SQLCODE
END-IF
STOP

REPORT RPT3 LINESIZE 132
TITLE 1 'REPORT3 - THIS IS A TEST'
LINE  1  +
     ONAME  OCOLNO OCOLTYPE OLENGTH OSCALE ONULLS ODEFAULT OTBCREATOR
/*
//
