//NONAME   JOB (ACCOUNT),'INSTALL RMU 1.1.0',
//             CLASS=A,MSGCLASS=H,NOTIFY=&SYSUID,REGION=0M
//**
//   SET MEMBER=TESTCOL0       
//   SET CEERUN=CEE.SCEERUN       
//   SET COBVER=COBOL.V4R2M0    
//** SET COBVER=COBOL.V5R1M0    
//   SET IMUVER=SYS1.V510
//   SET DB2VER=DB2.V10R1M0
//   SET EZTPROC=#EZTPROC
//   SET SYSDA=VIO
//*
//JOBLIB   DD DSN=&IMUVER..SFSYLOAD,DISP=SHR
//         DD DSN=&CEERUN,DISP=SHR
//         DD DSN=&DB2VER..SDSNLOAD,DISP=SHR
//         DD DSN=&COBVER..SIGYCOMP,DISP=SHR
//*********************************************************************
//* COPYRIGHT (C) 2015, TRANSIOM SOFTWARE, INC.                       *
//* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.         *
//*                                                                   *
//* 5655-MGU COPYRIGHT IBM CORP 2015.                                 *
//* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.         *
//* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.             *
//*                                                                   *
//* REV. 10/20/2015               WRITTEN BY: SRECKO LAZANJA          *
//*********************************************************************
//* JCMUSQLX - INSTREAM PROC (CODE EXEC AT THE BOTTOM OF THIS PROC)   *
//*                                                                   *
//* TRANSLATE, COMPILE, LINK AND BIND PENGIEZT/MU DB2 PROGRAMS.       *
//* "PARM LINK (&PGMNAME) BIND(STATIC)"                               *
//*       IS REQUIRED IN THE EZT PLUS SOURCE.                         *
//*********************************************************************
//FSPENGI  PROC SYSOUT='*',
//         CWORK=&SYSDA,                         WORK DASD/UNIT
//**       FJSYSPH=&SYSUID..MUCONV.COBSRC,       OPTIONAL GENED COBOL
//         SYSLMOD=&SYSUID..MUCONV.LOADLIB,
//         SYSLIB1=&IMUVER..SFSYLOAD,            PENGIEZT/MU LOADLIB
//         SYSLIB3=&DB2VER..SDSNLOAD,            DB2 LOADLIB
//         DBRMLIB=&SYSUID..MUCONV.DBRMLIB,      DBRMLIB
//*        EZPARMS=&SYSUID..DEMO.JCL,            EZPARAMS
//         FJPROC0=&SYSUID..DEMO.JCL(&EZTPROC),  OPTIONAL PROC
//         PANDD=&SYSUID..DEMO.MACROS,           YOUR EZT MACROS
//         SYSIN=&SYSUID..DEMO.JCL,              INPUT EZT PROGRAM
//         MEMBER=&MEMBER                        PROGRAM NAME
//*
//*-------------------------------------------------------------------*
//* FSYTPA00 STEP: TRANSLATE, SQLTRAN, COMPILE AND LINK.              *
//*-------------------------------------------------------------------*
//FSYTPA00  EXEC PGM=FSYTPA00
//FJPROC0   DD DSN=&FJPROC0,
//          DISP=SHR
//**FJSYSPH   DD DSN=&FJSYSPH(&MEMBER),
//**          DISP=OLD
//SYSOUT    DD SYSOUT=&SYSOUT
//SYSLIST1  DD SYSOUT=&SYSOUT
//SYSPRINT  DD SYSOUT=&SYSOUT
//SYSLMOD   DD DSN=&SYSLMOD,
//          DISP=SHR
//* ADDITIONAL SYSLIB DSNS CAN BE CODED FOR YOUR OWN INCLUDES.
//SYSLIB    DD DSN=&SYSLIB1,
//          DISP=SHR
//*         DD DSN=&SYSLIB2,
//*         DISP=SHR
//          DD DSN=&SYSLIB3,
//          DISP=SHR
//* PANDD MUST POINT TO YOUR OWN EASYTRIEVE PLUS MACROS.
//* CONSULT WITH SYSTEM PROGRAMMER FOR THE CORRECT DDNAME AS
//* IT CAN BE CHANGED AT INSTALLATION TIME. (SEE #EZTPROC).
//* (THIS IS AN OPTIONAL STATEMENT. COMMENT OUT IF NOT NEEDED)
//PANDD     DD DSN=&PANDD,
//          DISP=SHR
//FJBIND0   DD UNIT=&CWORK,
//          DSN=&&FJBIND0,
//          SPACE=(TRK,(15,15,)),
//          DCB=(LRECL=80,RECFM=FB,BLKSIZE=),
//          DISP=(NEW,PASS,DELETE)
//DBRMLIB   DD DSN=&DBRMLIB(&MEMBER),
//          DISP=OLD
//SYSIN     DD DSN=&SYSIN(&MEMBER),
//          DISP=SHR
//*
//*-------------------------------------------------------------------*
//*  BIND COMPILED PROGRAM.                                           *
//* "PARM BIND (STATIC-ONLY)" IS REQUIRED IN EZT PLUS SOURCE.         *
//*-------------------------------------------------------------------*
//BIND     EXEC PGM=IKJEFT01,COND=(5,LT,FSYTPA00)
//DBRMLIB  DD DSN=&DBRMLIB(&MEMBER),
//         DISP=SHR
//SYSUT1   DD UNIT=&CWORK,
//         SPACE=(CYL,(5,10))
//* SYSTSIN CAN BE RE-DIRECTED TO YOUR OWN BIND STATEMENTS
//SYSTSIN  DD DSN=&&FJBIND0,
//         DISP=SHR
//*FJSYSIN  DD DSN=&EZPARMS(EZPARAMS),
//*         DISP=SHR
//SYSPRINT DD SYSOUT=&SYSOUT
//SYSTSPRT DD SYSOUT=&SYSOUT
//$RUNBYRN DD DUMMY
// PEND
//*
//* UNCOMMENT BELLOW TO TEST TESTCOL0 PROGRAM
//TESTCOL0 EXEC PROC=FSPENGI,MEMBER=TESTCOL0
//
