//TSOUSR10 JOB ,,CLASS=A,
//         MSGCLASS=X,
//         REGION=0M,
//         NOTIFY=&SYSUID
//*
// SET FILEIN=V5R1M0.SFSYEZTS(TESTFIL0)
// SET RPT1=JSON.RPT1.DETAIL
// SET RPT2=JSON.RPT2.SUMMARY
// SET MEMBER=TESTJSN0
// SET COBLIB=COBOL.V6R3M0.SIGYCOMP
//*
//JOBLIB   DD DSN=&SYSUID..V5R1M0.SFSYLOAD,DISP=SHR
//         DD DSN=&COBLIB,DISP=SHR
//*
//*********************************************************************
//* COPYRIGHT 2019,2020 TRANSIOM SOFTWARE, INC.     REV. 09/07/2020   *
//*                               WRITTEN BY: SRECKO LAZANJA          *
//* 5655-MGU COPYRIGHT IBM CORP 2019-2020.                            *
//* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.         *
//* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.             *
//*                                                                   *
//* JCMUJSN0 - COMPILE & LINK AND EXECUTE PENGIEZT/MU PROGRAM         *
//*            (LINK AND GO)                                          *
//*                                                                   *
//* Demo of JSON detail and summary report with z/OS output files.    *
//*********************************************************************
//FSYTPA00 EXEC PGM=IEFBR14
//REPORT1  DD DSN=&SYSUID..TEMP.&RPT1,
//         DCB=(LRECL=137,RECFM=VBA,BLKSIZE=),
//         DISP=(MOD,DELETE,DELETE),
//         SPACE=(CYL,(5,2))
//*
//REPORT2  DD DSN=&SYSUID..TEMP.&RPT2,
//         DCB=(LRECL=137,RECFM=VBA,BLKSIZE=),
//         DISP=(MOD,DELETE,DELETE),
//         SPACE=(CYL,(5,2))
//*
//*********************************************************************
//* IMU TRANSLATOR STEP.                                              *
//*********************************************************************
//FSYTPA00 EXEC PGM=FSYTPA00,PARM=
//REPORT1  DD DSN=&SYSUID..TEMP.&RPT1,
//         DISP=(MOD,CATLG,CATLG),
//         SPACE=(CYL,(5,2))
//REPORT2  DD DSN=&SYSUID..TEMP.&RPT2,
//         DISP=(MOD,CATLG,CATLG),
//         SPACE=(CYL,(5,2))
//FILEIN   DD DSN=&SYSUID..&FILEIN,DISP=SHR
//SYSOUT   DD SYSOUT=*
//SYSLIST  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSIN    DD *
*---------------------------------------------------------------------*
* COPYRIGHT 2019,2020 TRANSIOM SOFTWARE, INC.                         *
* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.           *
* REV. 09/07/2020               WRITTEN BY: SRECKO LAZANJA            *
*                                                                     *
* 5698-MG5 COPYRIGHT IBM CORP 2020                                    *
* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.           *
* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.               *
*                                                                     *
* DEMO PROGRAM OF JSON DETAIL AND SUMMARY REPORTS.                    *
*---------------------------------------------------------------------*
* EASYTRAN: DEBUG (BLIST COBOL LKED ESPI-FULL)
* END-EASYTRAN
FILE REPORT1 PRINTER VB (136 0)
FILE REPORT2 PRINTER VB (136 0)

FILE FILEIN DISK F (80)
COMPANY     1   2 A   HEADING ('COMPANY')
BRANCH      3   3 A   HEADING ('BRANCH')
OFFICER     6   4 A   HEADING ('OFFICER')
WAGE       10  08 N 2 HEADING ('WAGE')
RATE       18  05 N 3 HEADING ('RATE') MASK 'ZZ.999'

WBONUS   W   5 P 2
WCOUNT   W   4 B

JOB INPUT FILEIN
WBONUS = (WAGE * RATE / 100)
PRINT RPT1
PRINT RPT2

REPORT RPT1 JSON PRINTER REPORT1 LINESIZE 80
CONTROL  COMPANY 
TITLE 1  'EXECUTIVE BONUS DETAIL REPORT'
LINE  1   OFFICER WAGE RATE WBONUS

REPORT RPT2 JSON PRINTER REPORT2 SUMMARY LINESIZE 80
CONTROL  COMPANY
TITLE 1  'EXECUTIVE BONUS SUMMARY REPORT'
LINE  1  OFFICER WAGE RATE WBONUS
/*
//
