//TSOUSER1 JOB ,,NOTIFY=&SYSUID,
//         CLASS=A,MSGCLASS=H,COND=(5,LT),REGION=0M
//*
//  SET UNIT=SYSDA
//  SET HQUAL=&SYSUID
//  SET WRKQUAL=TEMP.RMU1
//  SET SYSLMOD=&HQUAL..TEST.LOADLIB
//  SET IMULMOD=&SYSUID..V5R1M0.SFSYLOAD
//  SET RMULMOD=&SYSUID..RMUV1R10.SFZHLOAD
//  SET FJPROC0=&SYSUID..V5R1M0.SFSYJCLS(#EZTPROC)
//  SET FJRMUP0=&SYSUID..&WRKQUAL..FJRMUP0.FILE
//  SET FJRMUP1=&SYSUID..&WRKQUAL..FJRMUP1.FILE
//  SET COBVERS=COBOL.V6R3M0.SIGYCOMP
//  SET CEERUN0=CEE.SCEERUN
//*
//JOBLIB   DD DSN=&SYSLMOD,DISP=SHR
//         DD DSN=&COBVERS,DISP=SHR
//         DD DSN=&IMULMOD,DISP=SHR
//         DD DSN=&RMULMOD,DISP=SHR
//         DD DSN=&CEERUN0,DISP=SHR
//* *
//RUNIMU   PROC
//IEFBR14  EXEC PGM=IEFBR14
//REPORT1  DD DSN=&SYSUID..&WRKQUAL..RPT1,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(MOD,DELETE,DELETE),SPACE=(TRK,(1,1)),UNIT=SYSDA
//REPORT2  DD DSN=&SYSUID..&WRKQUAL..RPT2,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(MOD,DELETE,DELETE),SPACE=(TRK,(1,1)),UNIT=SYSDA
//REPORT3  DD DSN=&SYSUID..&WRKQUAL..RPT3,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(MOD,DELETE,DELETE),SPACE=(TRK,(1,1)),UNIT=SYSDA
//REPORT1O DD DSN=&SYSUID..&WRKQUAL..RPT1.HTML0,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(MOD,DELETE,DELETE),SPACE=(CYL,(7,10)),UNIT=SYSDA
//REPORT2O DD DSN=&SYSUID..&WRKQUAL..RPT2.HTML1,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(MOD,DELETE,DELETE),SPACE=(TRK,(8,10)),UNIT=SYSDA
//REPORT3O DD DSN=&SYSUID..&WRKQUAL..RPT3.HTML1,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(MOD,DELETE,DELETE),SPACE=(TRK,(9,10)),UNIT=SYSDA
//FJRMUP0  DD  UNIT=&UNIT,
//         DSN=&FJRMUP0,
//         DISP=(MOD,DELETE,DELETE),
//         SPACE=(TRK,(5,15),RLSE),
//         DCB=(BLKSIZE=,LRECL=80,RECFM=FB)
//FJRMUP1  DD  UNIT=&UNIT,
//         DSN=&FJRMUP1,
//         DISP=(MOD,DELETE,DELETE),
//         SPACE=(TRK,(5,15),RLSE),
//         DCB=(BLKSIZE=,LRECL=80,RECFM=FB)
//*********************************************************************
//* Run imu and generate all reports
//*********************************************************************
//FSYTPA00 EXEC PGM=FSYTPA00,REGION=0M
//FJSVC99   DD DSN=&&FJSVC99(MSGOFF),
//          DISP=NEW,UNIT=SYSDA,SPACE=(TRK,(1))
//FJPROC0  DD DSN=&FJPROC0,DISP=SHR
//SYSLMOD  DD DSN=&SYSLMOD,DISP=SHR
//*PANDD    DD DSN=&SYSUID..V5R1M0.SFSYEZTC,DISP=SHR
//SYSOUT   DD SYSOUT=*
//SYSLIST  DD SYSOUT=*
//RMULIST  DD SYSOUT=*
//RMUERR1  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//CEEDUMP  DD SYSOUT=*
//FILEIN   DD DSN=&SYSUID..V5R1M0.SFSYEZTS(TESTFIL0),DISP=SHR
//REPORT1  DD DSN=&SYSUID..&WRKQUAL..RPT1,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(NEW,CATLG,CATLG),SPACE=(CYL,(7,10)),UNIT=SYSDA
//REPORT2  DD DSN=&SYSUID..&WRKQUAL..RPT2,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(NEW,CATLG,CATLG),SPACE=(TRK,(8,10)),UNIT=SYSDA
//REPORT3  DD DSN=&SYSUID..&WRKQUAL..RPT3,
//         DCB=(LRECL=81,RECFM=FBA,BLKSIZE=0),
//         DISP=(NEW,CATLG,CATLG),SPACE=(TRK,(9,10)),UNIT=SYSDA
//* FILES FOR TESTING SO TO RETAIN THE FILES.
//* FJRMUP0 AND FJRMUP1 ARE OPTIONAL.
//FJRMUP0  DD UNIT=&UNIT,
//         DSN=&FJRMUP0,
//         DISP=(MOD,CATLG,CATLG),
//         SPACE=(TRK,(5,15),RLSE),
//         DCB=(BLKSIZE=,LRECL=80,RECFM=FB)
//FJRMUP1  DD UNIT=&UNIT,
//         DSN=&FJRMUP1,
//         DISP=(MOD,CATLG,CATLG),
//         SPACE=(TRK,(5,15),RLSE),
//         DCB=(BLKSIZE=,LRECL=80,RECFM=FB)
// PEND
//*
//RUNIMU EXEC PROC=RUNIMU
//FSYTPA00.SYSIN  DD  *
*PARM LINK (TESTRMU1)
* EASYTRAN: RMU=(ON)
* END-EASYTRAN

FILE REPORT1 PRINTER (81)
FILE REPORT2 PRINTER (81)
FILE REPORT3 PRINTER (81)
FILE FILEIN  F (80)
%EZTCOPYA PFX() LOC (*)

DEFINE BONUS W 7 N 2
DEFINE COUNT W 4 B VALUE ZERO
**********************************************************************
JOB INPUT FILEIN
    COUNT = 0
*   DO WHILE (COUNT LT 100)
*      COUNT = COUNT + 1
       PRINT RPT1
       PRINT RPT2
       PRINT RPT3
*   END-DO
GOTO JOB

REPORT RPT1 PRINTER REPORT1 LINESIZE 80 TITLESKIP 2 NOADJUST +
SUMCTL TAG
CONTROL FINAL COMPANY NEWPAGE BRANCH NEWPAGE OFFICER NEWPAGE
*HEADING BRANCH ('BRANCH' 'NUMBER' 'PLUS')
*HEADING OFFICER ('OFFICER' 'NUMBER' )
TITLE 1 COL 30 'REPORT1 - DETAIL REPORT'
TITLE 3 'COMPANY: ' COMPANY
LINE  1  BRANCH  OFFICER WAGE BONUS

REPORT RPT2 PRINTER REPORT2 LINESIZE 80 NOADJUST SUMCTL TAG
CONTROL FINAL NEWPAGE COMPANY NEWPAGE BRANCH NEWPAGE
TITLE 1 COL 30 'REPORT2 - DETAIL REPORT'
TITLE 2 'COMPANY: ' COMPANY ' BRANCH: ' BRANCH
LINE  1  BRANCH  OFFICER  WAGE BONUS

REPORT RPT3 PRINTER REPORT3 LINESIZE 80 NOADJUST TITLESKIP 1 +
SUMMARY SUMCTL (DTLCOPY)
CONTROL FINAL NEWPAGE COMPANY NEWPAGE BRANCH NEWPAGE OFFICER
TITLE 1 COL 30 'REPORT3 - SUMMARY REPORT'
TITLE 2 'COMPANY: ' COMPANY
LINE  1 COL 1 BRANCH  OFFICER  WAGE BONUS

JOB INPUT NULL
%RMU RPT1
PARM FORMAT HTML0 TURF 1403-PAPER

<page_end>
    <image src="images/fzhpages.gif">
</page_end>

%RMU RPT2
PARM FORMAT HTML1 TURF 1403-PAPER
<page_end>
     <IMAGE SRC="IMAGES/fzhpages.gif">
</page_end>

%RMU RPT3
PARM FORMAT HTML1 TURF 1403-PAPER
<page_end>
     <IMAGE SRC="IMAGES/fzhpages.gif">
</page_end>
CONTROL COMPANY BRANCH
%END
STOP
/*
//
