.* TITLE $DEMO - MACRO PROTOTYPE MODELS AND CHANGE LEVEL DOCUMENT       00000100
.* $DEMO MACRO - COPYRIGHT 2001,2020 TRANSIOM SOFTWARE, INC.            00000200
.*                                         WRITTEN BY: SRECKO LAZANJA   00000300
.********************************************************************** 00000401
.* COPYRIGHT 1989,2020 TRANSIOM SOFTWARE, INC.                        * 00000509
.* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.        *   00000601
.*                                                                    * 00000701
.* 5698-MG5 COPYRIGHT IBM CORP 2001,2020.                             * 00000806
.* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.          * 00000901
.* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.              * 00001002
.*                                                                    * 00001101
.*--------------------------------------------------------------------* 00001300
.* FS/PENGI $DEMO MACRO FOR PENGIEZT (EASYTRIEVE TRANSLATOR)          * 00001400
.*                                                                    * 00001500
.* THIS MACRO CAN BE USED IN EASYTRIEVE PLUS PROGRAMS ONLY.           * 00001600
.*--------------------------------------------------------------------* 00001700
.*                                                                    * 00001800
.*  MACRO WILL GENERATE CODE FOR DISPLAYING FIELD NAME AND FIELD VALUE. 00001900
.*                                                                    * 00002000
.*  ==> USE THIS MACRO AS A MODEL FOR CREATING YOUR OWN MACROS TO     * 00002100
.*  AVOID EXPANSION OF UNNECESSARY REPEATING GENERALIZED LOGIC.       * 00002200
.*                                                                    * 00002300
.*  USAGE EXAMPLE:                                                    * 00002400
.*                                                                    * 00002500
.*  %$DEMO  FIELDA FIELDB FIELDC.                                     * 00002600
.*--------------------------------------------------------------------* 00002700
         MACRO MODE=(SYS,EZT),VARQ=32                                   00002800
         $DEMO &NAME=DISPLAY,&PFX=,&SFX=,&FILE=,&LIST=OFF               00002900
.*                                                                      00003000
         GBLA  &GSHOWCTR   .GLOBAL COUNTER                              00003100
         GBLC  &GSHOWQUE(256,32)                                        00003200
         LCLA  &WIDX0      .LOCAL WORK REGISTER                         00003300
         LCLA  &WIDX1      .LOCAL WORK REGISTER                         00003400
         LCLC  &WPFX,&WSFX,&WFILE,&WNAME,&ZF1                           00004000
.*                                                                      00005000
.* EXTRACT INPUT KEYWORD VALUES                                         00006000
         ACCL SIMKEY &SYSLIST,&NAME,&PFX,&SFX,&FILE,&LIST;              00007000
         GSECT &SYSGSC                                                  00007100
.*                                                                      00007200
         MACRO                                                          00007300
         ACCL  FORMAT VAR;                                              00007400
         ACCL  SETVM &WPFX,&PFX,&WSFX,&SFX,&WFILE,&FILE,&WNAME,&NAME;   00007500
.*                                                                      00007600
         AIFINL ('&WPFX '(1,1) EQ '''')                                 00007700
&WPFX      SETC '&WPFX'(2,K'&WPFX-2)                                    00007800
         ENDAIF                                                         00007900
.*                                                                      00008000
         AIFINL ('&WSFX '(1,1) EQ '''')                                 00009000
&WSFX      SETC '&WSFX'(2,K'&WSFX-2)                                    00010000
         ENDAIF                                                         00020000
.*                                                                      00030000
         AIFINL ('&WFILE '(1,1) EQ '''')                                00040000
&WFILE     SETC '&WFILE'(2,K'&WFILE-2)                                  00050000
         ENDAIF                                                         00060000
.*                                                                      00070000
* ==> TRANSLATOR: GENERATED CODE DUE TO $DEMO MACRO                     00071000
.*                                                                      00072000
         AIFINL ('&WNAME '(1,1) EQ '''')                                00073000
&WNAME     SETC '&WNAME'(2,K'&WNAME-2)                                  00073100
         ENDAIF                                                         00073200
.*                                                                      00073300
.* THESE DEFINES WERE KEPT HERE FOR COMPATIBILITY.                      00073400
.*                                                                      00073500
&GSHOWQUE(&GSHOWCTR) ALOC '&WPFX&WSFX '                                 00073600
  AIFINL (NOT &SYSFLG01)                                                00073700
&GSHOWCTR SETA &GSHOWCTR+1       .COUNT NUMBER OF ENTRIES               00073800
&GSHOWQUE(&GSHOWCTR) SETC '&WPFX&WSFX '                                 00073900
.*                                                                      00074000
    DEFINE &WPFX.MSG-WK_&WSFX W 50 A.                                   00074100
    DEFINE &WPFX.F0_&WSFX &WPFX.MSG-WK_&WSFX +00  5 A.                  00074200
    DEFINE &WPFX.F1_&WSFX &WPFX.MSG-WK_&WSFX +05  5 A.                  00074300
    DEFINE &WPFX.F2_&WSFX &WPFX.MSG-WK_&WSFX +10  5 A.                  00074400
    DEFINE &WPFX.F3_&WSFX &WPFX.MSG-WK_&WSFX +15  5 A.                  00074500
    DEFINE &WPFX.F4_&WSFX &WPFX.MSG-WK_&WSFX +20  5 A.                  00074600
    DEFINE &WPFX.F5_&WSFX &WPFX.MSG-WK_&WSFX +25  5 A.                  00074700
    DEFINE &WPFX.F6_&WSFX &WPFX.MSG-WK_&WSFX +30  5 A.                  00074800
    DEFINE &WPFX.F7_&WSFX &WPFX.MSG-WK_&WSFX +35  5 A.                  00074900
    DEFINE &WPFX.F8_&WSFX &WPFX.MSG-WK_&WSFX +40  5 A.                  00075000
    DEFINE &WPFX.F9_&WSFX &WPFX.MSG-WK_&WSFX +45  5 A.                  00076000
 ENDAIF                                                                 00077000
.*                                                                      00078000
   &WPFX.MSG-WK_&WSFX = ' '.                                            00079000
.*                                                                      00080000
.* MOVE INPUT TEXT TO INDIVIDUAL SLOTS AS DEFINED ABOVE                 00081000
.*                                                                      00081100
         ADOWHL (&WIDX1 LT N'&SYSLIST)                                  00081200
&WIDX1     SETA  &WIDX1+1                                               00081300
           ADO   .YDROPQUO                                              00081400
   &WPFX.F&WIDX0_&WSFX = '&ZF1'                                         00081500
&WIDX0     SETA  &WIDX1+0                                               00081600
         ENDADO                                                         00081700
         ACCL RESET &WIDX0,&WIDX1;                                      00081800
.*                                                                      00081900
   DISPLAY &WFILE +                                                     00082000
.*                                                                      00083000
.* GENERATE DISPLAY FOR EACH INDIVIDUAL SUPPLIED FIELD/TEXT.            00084000
         ADOWHL (&WIDX1 LT N'&SYSLIST)                                  00085000
&WIDX1      SETA  &WIDX1+1                                              00086000
&ZF1        SETC  '&SYSLIST(&WIDX1)'                                    00087000
            ADO   .YDROPQUO                                             00088000
            AIFINL (&WIDX1 LT 10)                                       00089000
    ' &ZF1=' &ZF1 +                                                     00090000
            AELSE                                                       00100000
    ' &ZF1=' &ZF1                                                       00110000
            ENDAIF                                                      00120000
         ENDADO                                                         00130000
         AIFINL (&WIDX1 LT 10)                                          00140000
&ZF1        SETC  ' = = = = = = = = = = = ='(1,((10-&WIDX1)*2))         00150000
    ' &ZF1'                                                             00160000
         ENDAIF                                                         00170000
         MEXIT                                                          00180000
.*                                                                      00190000
.*--------------------------------------------------------------------* 00200000
.YDROPQUO ANOP                                                          00210000
&ZF1      SETC  '&SYSLIST(&WIDX1)'                                      00220000
          AIFINL ('&ZF1 '(1,1) EQ '''')                                 00230000
&ZF1        SETC '&ZF1'(2,K'&ZF1-2)                                     00240000
          ENDAIF                                                        00241000
          ADOXIT                                                        00241100
.*--------------------------------------------------------------------* 00241200
         MEND                                                           00241300
