MACRO 0 COMPANY(02) LIMIT(20) TITLE1('TEST REPORT1') BRANCH(010) +
        OFFICER('AAAA') AMT(1.00) DATE(10/22/2014)
*------------------------------------------------------------------*
* COPYRIGHT (C) 2020, TRANSIOM SOFTWARE, INC.                      *
* ALL RIGHTS RESERVED - PROPERTY OF TRANSIOM SOFTWARE, INC.        *
*                                                                  *
* 5698-MG5 COPYRIGHT IBM CORP 2020.                                *
* ALL RIGHTS RESERVED. LICENSED MATERIAL - PROPERTY OF IBM.        *
* USE, DUPLICATION OR DISCLOSURE RESTRICTED BY GSA ADP.            *
*                                                                  *
* REV. 01/21/2015               WRITTEN BY: SRECKO LAZANJA         *
*------------------------------------------------------------------*
* EASYTRAN: PROCESS NOLIST,NOXREF,NOMAP
* EASYTRAN: DEBUG (COBOL LKED SQLTRAN BIND LKED)
* END-EASYTRAN

FILE REPORT1 PRINTER

FILE FILEIN DISK   F (80)
COMPANY     1   2    A HEADING ('COMPANY')
BRANCH      3   3    A HEADING ('BRANCH')
OFFICER     6   4    A HEADING ('OFFICER')
WAGE       10  08 N 2 HEADING ('WAGE')
RATE       18  05 N 3 HEADING ('RATE') MASK 'ZZ.999'

WBONUS   W   5 P 2

JOB INPUT FILEIN
DISPLAY 'COMPANY=' COMPANY ' BRANCH='  BRANCH ' OFFICER=' OFFICER
IF (COMPANY = '&COMPANY'  +
AND BRANCH  = '&BRANCH'   +
AND OFFICER = '&OFFICER')
   WBONUS = (WAGE * RATE / 100)
   PRINT RPT1
END-IF

REPORT RPT1 PRINTER REPORT1 LIMIT &LIMIT LINESIZE 80 SUMCTL TAG
SEQUENCE COMPANY BRANCH OFFICER
CONTROL  FINAL NOPRINT COMPANY BRANCH NOPRINT
TITLE 1  '&TITLE1'
LINE  1  COMPANY BRANCH OFFICER WAGE RATE WBONUS
MEND
